Name:          xtrans
Version:       1.6.0
Release:       1mamba
Summary:       X protocol translation tools for X.Org
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        https://ftp.x.org/archive/individual/lib/xtrans-%{version}.tar.xz
License:       MIT
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Provides:      xorg-xtrans
Obsoletes:     xorg-xtrans <= 1.4.0

%description
X protocol translation tools for X.Org.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Provides:      xorg-xtrans-devel
Obsoletes:     xorg-xtrans-devel <= 1.4.0

%description devel
X protocol translation tools.
This package contains static libraries and header files needed for development.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files devel
%defattr(-,root,root)
%dir %{_includedir}/X11/Xtrans
%{_includedir}/X11/Xtrans/*.c
%{_includedir}/X11/Xtrans/*.h
%{_datadir}/pkgconfig/xtrans.pc
%{_datadir}/aclocal/xtrans.m4
%dir %{_docdir}/xtrans
%{_docdir}/xtrans/xtrans.*
%doc AUTHORS COPYING

%changelog
* Wed Mar 12 2025 Automatic Build System <autodist@openmamba.org> 1.6.0-1mamba
- automatic version update by autodist

* Sun Nov 10 2024 Automatic Build System <autodist@openmamba.org> 1.5.2-1mamba
- automatic version update by autodist

* Sun Oct 13 2024 Automatic Build System <autodist@openmamba.org> 1.5.1-1mamba
- automatic version update by autodist

* Wed Jun 07 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.0-1mamba
- update to 1.5.0

* Mon Apr 01 2019 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Wed Sep 24 2014 Automatic Build System <autodist@mambasoft.it> 1.3.5-1mamba
- automatic version update by autodist

* Wed Apr 02 2014 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic version update by autodist

* Tue Jan 28 2014 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Fri Nov 08 2013 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Fri Nov 08 2013 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Fri Nov 01 2013 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic update by autodist

* Thu Apr 05 2012 Automatic Build System <autodist@mambasoft.it> 1.2.7-1mamba
- automatic version update by autodist

* Mon Dec 06 2010 Automatic Build System <autodist@mambasoft.it> 1.2.6-1mamba
- automatic update by autodist

* Mon Aug 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.5-2mamba
- renamed from xorg-xtrans to xtrans

* Mon Oct 26 2009 Automatic Build System <autodist@mambasoft.it> 1.2.5-1mamba
- automatic update by autodist

* Mon Aug 03 2009 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic update by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-1mamba
- automatic update by autodist

* Mon Jan 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2-1mamba
- automatic update by autodist

* Mon Sep 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- update to 1.0.4

* Wed Jan 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1qilnx
- update to version 1.0.3 by autospec

* Mon Dec 18 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1qilnx
- package created by autospec
